
Foreman - Bug #13161

bond0.vlan breaks fact upload

01/12/2016 11:46 AM - Michael Eklund

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Network   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

016-01-12T11:37:50 [app] [I]   Parameters: {"facts"=>"[FILTERED]", "name"=>"host.domain.com", "cer

tname"=>"host.domain.com", "apiv"=>"v2", :host=>{"name"=>"host.domain.com", "certname"=>"host.doma

in.com"}}

2016-01-12T11:37:50 [app] [I] Import facts for host.domain.com' completed. Added: 0, Updated: 6, D

eleted 0 facts

2016-01-12T11:37:50 [app] [W] Action failed

 | ActiveRecord::RecordInvalid: Validation failed: Identifier Can't add or remove `.` from identif

ier

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/validations.rb:

56:in `save!'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/attribute_metho

ds/dirty.rb:33:in `save!'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:264:in `block in save!'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:313:in `block in with_transaction_returning_status'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/database_statements.rb:192:in `transaction'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:208:in `transaction'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:311:in `with_transaction_returning_status'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/transactions.rb

:264:in `save!'

 | /usr/share/foreman/app/models/host/base.rb:168:in `set_interfaces'

 | /usr/share/foreman/app/models/host/base.rb:148:in `populate_fields_from_facts'

 | /usr/share/foreman/app/models/host/managed.rb:526:in `populate_fields_from_facts'

 | /usr/share/foreman/app/models/host/base.rb:124:in `import_facts'

 | /usr/share/foreman/app/models/host/managed.rb:517:in `import_host_and_facts'

 | /usr/share/foreman/app/controllers/api/v2/hosts_controller.rb:223:in `facts'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal/implici

t_render.rb:4:in `send_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/abstract_controller/base.rb:167

:in `process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal/renderi

ng.rb:10:in `process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/abstract_controller/callbacks.r

b:18:in `block in process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

518:in `block (5 levels) in _run__4394453366621889720__process_action__2250985670204421288__callba

cks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

215:in `block in _conditional_callback_around_7879'

 | /usr/share/foreman/app/controllers/api/v2/base_controller.rb:151:in `disable_json_root'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

214:in `_conditional_callback_around_7879'
 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

495:in `block (4 levels) in _run__4394453366621889720__process_action__2250985670204421288__callba

cks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

215:in `block in _conditional_callback_around_7878'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

326:in `around'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

310:in `_callback_around_3140'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

214:in `_conditional_callback_around_7878'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

483:in `block (3 levels) in _run__4394453366621889720__process_action__2250985670204421288__callba

cks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

215:in `block in _conditional_callback_around_7877'

 | /usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

214:in `_conditional_callback_around_7877'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

482:in `block (2 levels) in _run__4394453366621889720__process_action__2250985670204421288__callba

cks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

215:in `block in _conditional_callback_around_7876'

 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

214:in `_conditional_callback_around_7876'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

437:in `block in _run__4394453366621889720__process_action__2250985670204421288__callbacks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

215:in `block in _conditional_callback_around_7875'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

326:in `around'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

310:in `_callback_around_13'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

214:in `_conditional_callback_around_7875'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

403:in `_run__4394453366621889720__process_action__2250985670204421288__callbacks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

405:in `__run_callback'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

385:in `_run_process_action_callbacks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

81:in `run_callbacks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/abstract_controller/callbacks.r

b:17:in `process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal/rescue.

rb:29:in `process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal/instrum

entation.rb:30:in `block in process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/notifications

.rb:123:in `block in instrument'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/notifications

/instrumenter.rb:20:in `instrument'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/notifications

.rb:123:in `instrument'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal/instrum

entation.rb:29:in `process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal/params_

wrapper.rb:207:in `process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/railties/contro

ller_runtime.rb:18:in `process_action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/abstract_controller/base.rb:121

:in `process'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/abstract_controller/rendering.r

b:45:in `process'
 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal.rb:203:

in `dispatch'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal/rack_de

legation.rb:14:in `dispatch'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_controller/metal.rb:246:

in `block in action'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/routing/route_s

et.rb:73:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/routing/route_s

et.rb:73:in `dispatch'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/routing/route_s

et.rb:36:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/routing/mapper.

rb:43:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in c

all'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/routing/route_s

et.rb:608:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/apipie-rails-0.2.6/lib/apipie/static_dispatcher.rb:65

:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:9

7:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_

headers.rb:27:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/best

_standards_support.rb:17:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/etag.rb:23:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/conditionalget.rb:35:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/head

.rb:14:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/para

ms_parser.rb:21:in `call'

 | /usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/flas

h.rb:242:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/session/abstract/id.rb:210:in `co

ntext'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/session/abstract/id.rb:205:in `ca

ll'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/cook

ies.rb:341:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/query_cache.rb:

64:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/connection_adap

ters/abstract/connection_pool.rb:479:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/call

backs.rb:28:in `block in call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

405:in `_run__4056356578449079426__call__830277983250492828__callbacks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

405:in `__run_callback'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

385:in `_run_call_callbacks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:

81:in `run_callbacks'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/call

backs.rb:27:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/remo

te_ip.rb:31:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/debu

g_exceptions.rb:16:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/show

_exceptions.rb:56:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/rack/logger.rb:32:in `call_

app'
 | /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/rack/logger.rb:18:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/requ

est_id.rb:22:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/methodoverride.rb:21:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/runtime.rb:17:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/cache/strateg

y/local_cache.rb:72:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/lock.rb:15:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.21/lib/action_dispatch/middleware/stat

ic.rb:83:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forw

ard'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass

'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `inva

lidate'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!

'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/engine.rb:484:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/application.rb:231:in `call

'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/railtie/configurable.rb:30:

in `method_missing'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/builder.rb:134:in `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/urlmap.rb:64:in `block in call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/urlmap.rb:49:in `each'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/rack-1.4.7/lib/rack/urlmap.rb:49:in `call'

 | /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_req

uest'

 | /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:142:in `accept_an

d_process_next_request'

 | /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:110:in `main_loop

'

 | /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler.rb:448:in `block (3 levels) in star

t_threads'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/logging-2.0.0/lib/logging/diagnostic_context.rb:448:i

n `call'

 | /usr/share/foreman/vendor/ruby/1.9.1/gems/logging-2.0.0/lib/logging/diagnostic_context.rb:448:i

n `block in create_with_logging_context'

 default_interface => bond0.50

interfaces => bond0,bond0_50,em1,em2,em3,em4,lo

lldp_neighbor_em1_interface => em1

lldp_neighbor_em2_interface => em2

Related issues:

Related to Foreman - Bug #11247: IP address is invalid, can't add or remove `... Resolved 07/29/2015

Related to Foreman - Bug #16935: updating a NIC's "Device identifier" if it d... Closed 10/14/2016

History

#1 - 01/12/2016 11:54 AM - Michael Eklund

related or duplicate of: http://projects.theforeman.org/issues/11247

#2 - 01/13/2016 03:00 AM - Dominic Cleal

- Related to Bug #11247: IP address is invalid, can't add or remove `.` from identifier added

#3 - 01/13/2016 03:00 AM - Dominic Cleal

- Category set to Network

#4 - 01/13/2016 03:50 PM - Michael Eklund

This does not happen in systems where we use vlanX interface names.

#5 - 02/20/2017 02:51 PM - Marek Hulán
- Status changed from New to Feedback

I think this was fixed by #16935 in Foreman 1.14, please let us know if you still encounter the issue.

#6 - 02/20/2017 02:51 PM - Marek Hulán

- Related to Bug #16935: updating a NIC's "Device identifier" if it doesn't already have one fails if the "Device identifier" includes a . or : added

#7 - 05/17/2017 11:53 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
